# Query UGN Instance - DescribeUGNInstance

## Overview

Query UGN Instance






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeUGNInstance`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.scloudsg.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |**Yes**|
| **UGNId** | string | UGN Id |**Yes**|
| **Offset** | int | Data offset. Default is 0 |No|
| **Limit** | int | Data pagination value. Default is 20 |No|
| **InstanceIds.N** | string | Instance Id |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **UGNInstances** | array[[*Instance*](#instance)] | Instance Information |No|
| **TotalCount** | int | The number of UGNInstances fields |No|

#### Data Model


#### Instance

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **InstanceType** | string | Instance Type |**Yes**|
| **InstanceRegion** | string | Instance Region |**Yes**|
| **InstanceProjectId** | string | Instance belongs to ProjectId |**Yes**|
| **InstanceOrganizationName** | string | Instance Ownership Project Name |**Yes**|
| **Networks** | array[string] | Segment Information |**Yes**|
| **State** | int | Instance Status |**Yes**|
| **InstanceId** | string | Instance Id |**Yes**|
| **UGNId** | string | UGN Id |**Yes**|
| **CreateTime** | int | Join Time |**Yes**|

## Example

### Request Example
    
```
https://api.scloudsg.com/?Action=DescribeUGNInstance
&ProjectId=shAbkfkx
&UGNId=vOFjjvIE
&InstanceIds.n=sdOjrVwB
&Offset=9
&Limit=8
```

### Response Example
    
```json
{
  "Action": "DescribeUGNInstanceResponse",
  "Message": "success",
  "RetCode": 0,
  "TotalCount": 6,
  "UGNInstances": [
    {
      "CreateTime": 2,
      "InstanceId": "klZvjWYe",
      "InstanceProjectId": "VnltgOay",
      "InstanceRegion": "GfNZlpcc",
      "InstanceType": "vpc",
      "State": 1,
      "UGNId": "YzGdsHSC"
    }
  ]
}
```





